SDL_TLSID(3type)

NAME
SDL_TLSID - Thread local storage ID.

SYNOPSIS
#include <SDL3/SDL_thread.h>

typedef SDL_AtomicInt SDL_TLSID;

DESCRIPTION
0 is the invalid ID. An app can create these and then set data for these IDs that is unique to each thread.

AVAILABILITY
This datatype is available since SDL 3.2.0.

SEE ALSO
SDL_GetTLS(3), SDL_SetTLS(3)